Summary: A GNU archiving program.
Name: cpio
Version: 2.5
Release: 5tr
License: GPL
Group: System/Archiving
Source: ftp://ftp.gnu.org/gnu/cpio/cpio-%{version}.tar.gz
Patch0: cpio-2.4.2-glibc.patch
Patch1: cpio-2.4.2-mtime.patch
Patch2: cpio-2.4.2-svr4compat.patch
Patch3: cpio-2.4.2-glibc21.patch
Patch4: cpio-2.4.2-longlongdev.patch
Patch5: cpio-2.4.2-emptylink.patch
Patch6: cpio-2.4.2-stdout.patch
PAtch7: cpio-2.5-noinfo.patch
Prereq: /sbin/rmt
Buildroot: /var/tmp/%{name}-root

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
#./configure --prefix=/usr --bindir=/bin --libexecdir=/sbin

%configure --bindir=%{_prefix} --libexecdir=/sbin
make LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT

make prefix=${RPM_BUILD_ROOT}%{_prefix} \
    bindir=${RPM_BUILD_ROOT}/bin \
    libexecdir=${RPM_BUILD_ROOT}/sbin \
    mandir=%{_mandir} install

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1/
cp cpio.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS
/bin/cpio
%{_mandir}/man1/cpio.1.gz

%changelog
* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5-5tr
- Now with %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5-3em
- Rebuilt against glibc 2.3.2.

* Thu Aug 29 2002 Christian H. Toldnes <christht at trustix dot com> 2.5-2ct
- Patched away info stuff: (Patch 7)

* Mon Jul 22 2002 Christian H. Toldnes <christht at trustix dot com> 2.5-1ct
- Update to 2.5
- Removed info stuff.

* Fri Jan 21 2000 Tore Olsen <toreo at trustix dot com>
- Moved man and info pages to /usr/share adhering to FHS

* Tue Aug 31 1999 Jeff Johnson <jbj@redhat.com>
- fix infinite loop unpacking empty files with hard links (#4208).
- stdout chould contain progress information (#3358).

* Sun Mar 21 1999 Crstian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Sat Dec  5 1998 Jeff Johnson <jbj@redhat.com>
- longlong dev wrong with "-o -H odc" headers (formerly "-oc").

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to compile on glibc 2.1, where strdup is a macro

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- Fiddle bindir/libexecdir to get RH install correct.
- Don't include /sbin/rmt -- use the rmt from dump package.
- Don't include /bin/mt -- use the mt from mt-st package.
- Add prereq's

* Tue Jun 30 1998 Jeff Johnson <jbj@redhat.com>
- fix '-c' to duplicate svr4 behavior (problem #438)
- install support programs & info pages

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- removed "(used by RPM)" comment in Summary

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- no longer statically linked as RPM doesn't use cpio for unpacking packages
